Bug 839720 - The alert notifications dialog initially shows wrong UI
The alert notifications dialog initially shows wrong UI
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-12 12:17 EDT by Lukas Krejci
Modified: 2013-08-31 06:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-31 06:12:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-07-12 12:17:15 EDT
Description of problem:

When adding a new alert notification, the dialog opens up with the "CLI Script" selected, but the UI below does not reflect that and instead shows the UI for user selection.

Version-Release number of selected component (if applicable):
4.5.0-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1.Create a new alert definition
2.try to add a notification
  
Actual results:
symptoms as described

Expected results:
the UI corresponds to the selected notification

Additional info:
Note that only the dialog contains the incorrect UI only initially. When one changes the selected notification, it is updated to the correct UI.
Comment 1 Jirka Kremser 2012-07-13 07:14:23 EDT
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=5f0388a

master
time:    Fri Jul 13 13:10:34 2012 +0200
commit:  5f0388a7ba23c1f395892950c322e3d649840d2f
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 839720 - The alert notifications dialog initially shows wrong UI] This was caused by commit 1c7723b
Comment 2 Jeeva Kandasamy 2012-11-22 01:31:59 EST
Verified. Works as expected.
Browser: FireFox ESR 10.0.7
OS: Red Hat Linux 6.3 X64

JBoss Operations Network 
Version: 3.1.2.ER1
Build Number: 05cc75f:18fd619
GWT Version: 2.4.0
SmartGWT Version: 3.0
Comment 3 Heiko W. Rupp 2013-08-31 06:12:22 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.